Gecode::CPProfiler::Node Class Reference

`#include <connector.hpp>`

## Public Member Functions

| Node (NodeUID node, NodeUID parent, int alt, int kids, NodeStatus status)
Node & | set_node_thread_id (int tid)
const Option< std::string > & | label () const
Node & | set_label (const std::string &label)
const Option< std::string > & | nogood () const
Node & | set_nogood (const std::string &nogood)
const Option< std::string > & | info () const
Node & | set_info (const std::string &info)
int | alt () const
int | kids () const
NodeStatus | status () const
NodeUID | nodeUID () const
NodeUID | parentUID () const
int | node_id () const
int | parent_id () const
int | node_thread_id () const
int | node_restart_id () const
int | parent_thread_id () const
int | parent_restart_id () const

## Detailed Description

Definition at line 65 of file connector.hpp.

## Constructor & Destructor Documentation

## Node()

Gecode::CPProfiler::Node::Node | ( | NodeUID | node,
|  | NodeUID | parent,
|  | int | alt,
|  | int | kids,
|  | NodeStatus | status )

inline

Definition at line 140 of file connector.hpp.

## Member Function Documentation

## set_node_thread_id()

Node & Gecode::CPProfiler::Node::set_node_thread_id | ( | int | tid | ) |

inline

Definition at line 146 of file connector.hpp.

## label()

const Option< std::string > & Gecode::CPProfiler::Node::label | ( |  | ) | const

inline

Definition at line 152 of file connector.hpp.

## set_label()

Node & Gecode::CPProfiler::Node::set_label | ( | const std::string & | label | ) |

inline

Definition at line 155 of file connector.hpp.

## nogood()

const Option< std::string > & Gecode::CPProfiler::Node::nogood | ( |  | ) | const

inline

Definition at line 161 of file connector.hpp.

## set_nogood()

Node & Gecode::CPProfiler::Node::set_nogood | ( | const std::string & | nogood | ) |

inline

Definition at line 166 of file connector.hpp.

## info()

const Option< std::string > & Gecode::CPProfiler::Node::info | ( |  | ) | const

inline

Definition at line 172 of file connector.hpp.

## set_info()

Node & Gecode::CPProfiler::Node::set_info | ( | const std::string & | info | ) |

inline

Definition at line 175 of file connector.hpp.

## alt()

int Gecode::CPProfiler::Node::alt | ( |  | ) | const

inline

Definition at line 181 of file connector.hpp.

## kids()

int Gecode::CPProfiler::Node::kids | ( |  | ) | const

inline

Definition at line 183 of file connector.hpp.

## status()

NodeStatus Gecode::CPProfiler::Node::status | ( |  | ) | const

inline

Definition at line 186 of file connector.hpp.

## nodeUID()

NodeUID Gecode::CPProfiler::Node::nodeUID | ( |  | ) | const

inline

Definition at line 189 of file connector.hpp.

## parentUID()

NodeUID Gecode::CPProfiler::Node::parentUID | ( |  | ) | const

inline

Definition at line 191 of file connector.hpp.

## node_id()

int Gecode::CPProfiler::Node::node_id | ( |  | ) | const

inline

Definition at line 194 of file connector.hpp.

## parent_id()

int Gecode::CPProfiler::Node::parent_id | ( |  | ) | const

inline

Definition at line 196 of file connector.hpp.

## node_thread_id()

int Gecode::CPProfiler::Node::node_thread_id | ( |  | ) | const

inline

Definition at line 198 of file connector.hpp.

## node_restart_id()

int Gecode::CPProfiler::Node::node_restart_id | ( |  | ) | const

inline

Definition at line 200 of file connector.hpp.

## parent_thread_id()

int Gecode::CPProfiler::Node::parent_thread_id | ( |  | ) | const

inline

Definition at line 202 of file connector.hpp.

## parent_restart_id()

int Gecode::CPProfiler::Node::parent_restart_id | ( |  | ) | const

inline

Definition at line 204 of file connector.hpp.

The documentation for this class was generated from the following file:

- gecode/search/cpprofiler/connector.hpp